Skip to content
Pile
Esc
navigateopen⌘Jpreview

List cycles

GET/workspaces/{organizationId}/cycles
Path parameters
organizationIdstringrequired
Responses
200Cycles list
cyclesobject[]required
Show properties
Array of object
idstringrequired
organizationIdstringrequired
projectIdstring | nullrequired
namestringrequired
numbernumber | nullrequired
statusstringrequired
Allowed:upcomingactivecompleted
autoRolloverbooleanrequired
archivedAtstring | nullrequired
startDatestring | nullrequired
endDatestring | nullrequired
createdAtstringrequired
updatedAtstringrequired
Try it
Server
Parameters
Request
curl -X GET "/workspaces/string/cycles"
Response
{
  "cycles": [
    {
      "id": "string",
      "organizationId": "string",
      "projectId": "string",
      "name": "string",
      "number": 0,
      "status": "upcoming",
      "autoRollover": true,
      "archivedAt": "string",
      "startDate": "string",
      "endDate": "string",
      "createdAt": "string",
      "updatedAt": "string"
    }
  ]
}